List monitors
/api/v1/monitorsAll monitors in the workspace, sorted by name, with 24-hour uptime and average response time.
Query parameters
typestringOnly this type: http, tcp, ping, dns, domain, heartbeat or server.
statusstringOnly this status: up, down, pending or paused.
projectIdstringOnly monitors in this project.
Request
curl https://app.uptimecheck.com/api/v1/monitors \ -H "Authorization: Bearer $UPTIMECHECK_API_KEY"
Response · 200
{
"data": [
{
"id": "mon_9xk2m1q8w4",
"name": "Checkout",
"type": "http",
"target": "https://northwind.shop/checkout",
"port": null,
"config": {
"method": "GET",
"headers": [],
"body": "",
"expectedStatus": "200-399",
"keyword": null,
"followRedirects": true,
"verifyTls": true,
"timeoutMs": 10000
},
"intervalSeconds": 60,
"regions": [],
"projectId": null,
"channelIds": [
"ch_4n8v0d2k7p"
],
"status": "up",
"statusChangedAt": "2026-10-12T08:14:03.000Z",
"slowSince": null,
"lastCheckedAt": "2026-10-14T09:41:12.000Z",
"lastResponseMs": 212,
"lastError": null,
"heartbeatUrl": null,
"agentToken": null,
"agent": null,
"sslExpiresAt": "2026-12-30T23:59:59.000Z",
"domainExpiresAt": null,
"domainRegistrar": null,
"dnsRecords": null,
"createdAt": "2026-10-12T08:12:40.000Z",
"updatedAt": "2026-10-12T08:12:40.000Z",
"uptime24h": 99.98,
"avgResponseMs24h": 205
}
]
}